db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Bouschen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (JDO-675) Change JPA API dependency to org.eclipse.persistence
Date Fri, 28 Jan 2011 21:30:45 GMT

    [ https://issues.apache.org/jira/browse/JDO-675?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12988245#action_12988245
] 

Michael Bouschen commented on JDO-675:
--------------------------------------

It is the api jar that comes the JPA 2.0 RI.

>From my point of view, the confusing thing about the Apache Geronimo JPA jars is the version
numbering:
- version geronimo-jpa_2.0_spec defines the JPA 2.0 interfaces
- version geronimo-jpa_3.0_spec, which looks like a successor, defines the JPA 1.0 interfaces.

> Change JPA API dependency to org.eclipse.persistence
> ----------------------------------------------------
>
>                 Key: JDO-675
>                 URL: https://issues.apache.org/jira/browse/JDO-675
>             Project: JDO
>          Issue Type: Task
>          Components: api
>    Affects Versions: JDO 3
>            Reporter: Michael Bouschen
>            Assignee: Michael Bouschen
>             Fix For: JDO 3 maintenance release 1
>
>
> Change the JPA 2.0 AP dependency to official jar: 
>     <dependency>
>        <groupId>org.eclipse.persistence</groupId>
>        <artifactId>javax.persistence</artifactId>
>        <version>2.0.0</version>
>     </dependency>

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message